libquicktime: Fine tuning of quicktime atoms

- Main Page
- Modules
- Data Structures
- Files
- Directories

# Fine tuning of quicktime atoms

## Functions
int | lqt_set_fiel (quicktime_t *file, int track, int nfields, int dominance)
| Set the field attributes of a video track.
int | lqt_get_fiel (quicktime_t *file, int track, int *nfields, int *dominance)
| Get the field attributes of a video track.
int | lqt_set_pasp (quicktime_t *file, int track, quicktime_pasp_t *pasp)
| Set the pixel aspect atom of a video track.
int | lqt_get_pasp (quicktime_t *file, int track, quicktime_pasp_t *pasp)
| Get the pixel aspect atom of a video track.
int | lqt_set_clap (quicktime_t *file, int track, quicktime_clap_t *clap)
| Set the clean aperture attributes of a video track.
int | lqt_get_clap (quicktime_t *file, int track, quicktime_clap_t *clap)
| Get the clean aperture attributes of a video track.
int | lqt_set_colr (quicktime_t *file, int track, quicktime_colr_t *colr)
| Set the 'colr' ImageDescription Extension of a video track.
int | lqt_get_colr (quicktime_t *file, int track, quicktime_colr_t *colr)
| Get the 'colr' ImageDescription Extension of a video track.

## Detailed Description

Libquicktime tries it's best to produce proper files, with all the information neccesary for decoding the file with the right parameters. In some cases however, it might be useful to tweak the corresponding atoms individually. Please note that the functions described here, allow you full control over the atoms. But they also allow you to create horribly incompatible and undecodable files. Don't say you haven't been warned.

## Function Documentation

int lqt_set_fiel | ( | quicktime_t * | file,
|  | int | track,
|  | int | nfields,
|  | int | dominance |
| ) |  |  |

Set the field attributes of a video track.

Parameters:

  | file | A quicktime handle
  | track | Track index (starting with 0)
  | nfields | number of fields (1 = progressive, 2 = interlaced)
  | dominance | field order/dominance (9 = top first, 14 = bottom first)

Returns:
  1 if the call was successful, 0 if there is no such track or invalid number of fields or invalid dominance

The dominance parameter may also have the values 0, 1 and 6 but those are rarely used. The Apple documentation at

http://developer.apple.com/quicktime/icefloe/dispatch019.html#fiel

has more detailed information about the 'fiel' atom.

int lqt_get_fiel | ( | quicktime_t * | file,
|  | int | track,
|  | int * | nfields,
|  | int * | dominance |
| ) |  |  |

Get the field attributes of a video track.

Parameters:

  | file | A quicktime handle
  | track | Track index (starting with 0)
  | nfields | number of fields
  | dominance | field order/dominance

Returns:
  1 if the call was successful, 0 if there is no such track

The Apple documentation at

http://developer.apple.com/quicktime/icefloe/dispatch019.html#fiel

has more detailed information about the 'fiel' atom.

int lqt_set_pasp | ( | quicktime_t * | file,
|  | int | track,
|  | quicktime_pasp_t * | pasp |
| ) |  |  |

Set the pixel aspect atom of a video track.

Parameters:

  | file | A quicktime handle
  | track | Track index (starting with 0)
  | pasp | Pixel aspect atom

Returns:
  1 if the call was successful, 0 if there is no such track

int lqt_get_pasp | ( | quicktime_t * | file,
|  | int | track,
|  | quicktime_pasp_t * | pasp |
| ) |  |  |

Get the pixel aspect atom of a video track.

Parameters:

  | file | A quicktime handle
  | track | Track index (starting with 0)
  | pasp | Pixel aspect atom

Returns:
  1 if the call was successful, 0 if there is no such track

int lqt_set_clap | ( | quicktime_t * | file,
|  | int | track,
|  | quicktime_clap_t * | clap |
| ) |  |  |

Set the clean aperture attributes of a video track.

Parameters:

  | file | A quicktime handle
  | track | Track index (starting with 0)
  | clap | Clean aperture atom

Returns:
  1 if the call was successful, 0 if there is no such track

The Apple documentation at

http://developer.apple.com/quicktime/icefloe/dispatch019.html#clap

has more detailed information about the 'clap' atom.

int lqt_get_clap | ( | quicktime_t * | file,
|  | int | track,
|  | quicktime_clap_t * | clap |
| ) |  |  |

Get the clean aperture attributes of a video track.

Parameters:

  | file | A quicktime handle
  | track | Track index (starting with 0)
  | clap | Clean aperture atom

Returns:
  1 if the call was successful, 0 if there is no such track

The Apple documentation at

http://developer.apple.com/quicktime/icefloe/dispatch019.html#clap

has more detailed information about the 'clap' atom.

int lqt_set_colr | ( | quicktime_t * | file,
|  | int | track,
|  | quicktime_colr_t * | colr |
| ) |  |  |

Set the 'colr' ImageDescription Extension of a video track.

Parameters:

  | file | A quicktime handle
  | track | Track index (starting with 0)
  | colr | Colr atom

Returns:
  1 if the call was successful, 0 if there is no such track

The Apple documentation at

http://developer.apple.com/quicktime/icefloe/dispatch019.html#colr

has more detailed information about the 'colr' atom.

int lqt_get_colr | ( | quicktime_t * | file,
|  | int | track,
|  | quicktime_colr_t * | colr |
| ) |  |  |

Get the 'colr' ImageDescription Extension of a video track.

Parameters:

  | file | A quicktime handle
  | track | Track index (starting with 0)
  | colr | Colr atom

Returns:
  1 if the call was successful, 0 if there is no such track

The Apple documentation at

http://developer.apple.com/quicktime/icefloe/dispatch019.html#colr

has more detailed information about the 'colr' atom.